
Summary:       Audio autotuner for JACK
Name:          zita-at1
Version:       0.2.3
Release:       11%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# submitted upstream
Source1:       %{name}.desktop
# patch submitted upstream - next release will be relicensed
Patch0:        %{name}-%{version}-fsf-address.patch
Patch1:        %{name}-%{version}-resampler.patch

BuildRequires: cairo-devel
BuildRequires: fftw3-devel
BuildRequires: zita-resampler-devel
BuildRequires: libpng-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: clthreads-devel
BuildRequires: clxclient-devel
BuildRequires: libXft-devel
BuildRequires: desktop-file-utils
%description
%{name} is an 'autotuner', normally used to correct the pitch of a voice 
singing (slightly) out of tune.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e 's|-march=native|%{optflags}|' -e 's|-ffast-math||' \
    source/Makefile

%build
cd source
make PREFIX=%{_prefix} %{?_smp_mflags}

%install
cd source
make DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib} install

# .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install  \
   --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{_builddir}/%{name}-%{version}/doc/redzita.png \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png


%files
%doc AUTHORS COPYING doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 04 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.2.3-6
- Rebuild for new zita-resampler

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 19 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.3-4
- Removed -ffast-math
- Consistent use of macros

* Tue Nov 15 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.3-3
- Removed -msse flag removal for powerpc
- Comment patch and sources

* Fri Nov 11 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.3-2
- add desktop file and icon
- removed unneccessary constructs

* Wed Oct 26 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.3-1
- initial build

